package com.steering.pss.qcm.model;

/**
 * 数据库表COM_MSC_PHY_SPLINE2所对应的实体类（生成工具：代码生成工具4.0 访问地址：http://172.16.2.128/tool/）
 * 
 * @author tgcx-test date 2016-11-22
 */
@SuppressWarnings("serial")
public class ComMscPhySpline2Entity implements java.io.Serializable {
	/**
	 * 取样码
	 */
	private String phyCodeMin = "";
	/**
	 * 取样码描述
	 */
	private String phyNameMin = "";
	/**
	 * 试样索引号（COM_BASE_SPLINE）
	 */
	private String eic = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";
	/**
	 * 删除人
	 */
	private String deleteName = "";
	/**
	 * 删除时间
	 */
	private String deleteTime = "";
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag = "";
	/**
	 * 备注
	 */
	private String memo = "";
	/**
	 * 试样组+方向+温度+尺寸的代码组合
	 */
	private String sampleKey = "";
	/**
	 * 试样组+'('+方向+'_'+温度+'_'+尺寸+'_'+')'的组合描述
	 */
	private String sampleKeyDesc = "";
	/**
	 * 项目代码_方向
	 */
	private String itemCodeF = "";
	/**
	 * 项目代码_尺寸
	 */
	private String itemCodeC = "";
	/**
	 * 项目代码_温度
	 */
	private String itemCodeW = "";
	/**
	 * 标准代码（试验标准）
	 */
	private String stdCodeTest = "";
	/**
	 * 标准名称（试验标准）
	 */
	private String stdNameTest = "";

	/**
	 * 取样码
	 * 
	 * @return value
	 */
	public String getPhyCodeMin() {
		return phyCodeMin;
	}

	/**
	 * 取样码
	 * 
	 * @param phyCodeMin
	 *            value
	 */
	public void setPhyCodeMin(String phyCodeMin) {
		this.phyCodeMin = phyCodeMin;
	}

	/**
	 * 取样码描述
	 * 
	 * @return value
	 */
	public String getPhyNameMin() {
		return phyNameMin;
	}

	/**
	 * 取样码描述
	 * 
	 * @param phyNameMin
	 *            value
	 */
	public void setPhyNameMin(String phyNameMin) {
		this.phyNameMin = phyNameMin;
	}

	/**
	 * 试样索引号（COM_BASE_SPLINE）
	 * 
	 * @return value
	 */
	public String getEic() {
		return eic;
	}

	/**
	 * 试样索引号（COM_BASE_SPLINE）
	 * 
	 * @param eic
	 *            value
	 */
	public void setEic(String eic) {
		this.eic = eic;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
	 * 试样组+方向+温度+尺寸的代码组合
	 * 
	 * @return value
	 */
	public String getSampleKey() {
		return sampleKey;
	}

	/**
	 * 试样组+方向+温度+尺寸的代码组合
	 * 
	 * @param sampleKey
	 *            value
	 */
	public void setSampleKey(String sampleKey) {
		this.sampleKey = sampleKey;
	}

	/**
	 * 试样组+'('+方向+'_'+温度+'_'+尺寸+'_'+')'的组合描述
	 * 
	 * @return value
	 */
	public String getSampleKeyDesc() {
		return sampleKeyDesc;
	}

	/**
	 * 试样组+'('+方向+'_'+温度+'_'+尺寸+'_'+')'的组合描述
	 * 
	 * @param sampleKeyDesc
	 *            value
	 */
	public void setSampleKeyDesc(String sampleKeyDesc) {
		this.sampleKeyDesc = sampleKeyDesc;
	}

	/**
	 * 项目代码_方向
	 * 
	 * @return value
	 */
	public String getItemCodeF() {
		return itemCodeF;
	}

	/**
	 * 项目代码_方向
	 * 
	 * @param itemCodeF
	 *            value
	 */
	public void setItemCodeF(String itemCodeF) {
		this.itemCodeF = itemCodeF;
	}

	/**
	 * 项目代码_尺寸
	 * 
	 * @return value
	 */
	public String getItemCodeC() {
		return itemCodeC;
	}

	/**
	 * 项目代码_尺寸
	 * 
	 * @param itemCodeC
	 *            value
	 */
	public void setItemCodeC(String itemCodeC) {
		this.itemCodeC = itemCodeC;
	}

	/**
	 * 项目代码_温度
	 * 
	 * @return value
	 */
	public String getItemCodeW() {
		return itemCodeW;
	}

	/**
	 * 项目代码_温度
	 * 
	 * @param itemCodeW
	 *            value
	 */
	public void setItemCodeW(String itemCodeW) {
		this.itemCodeW = itemCodeW;
	}

	/**
	 * 标准代码（试验标准）
	 * 
	 * @return value
	 */
	public String getStdCodeTest() {
		return stdCodeTest;
	}

	/**
	 * 标准代码（试验标准）
	 * 
	 * @param stdCodeTest
	 *            value
	 */
	public void setStdCodeTest(String stdCodeTest) {
		this.stdCodeTest = stdCodeTest;
	}

	/**
	 * 标准名称（试验标准）
	 * 
	 * @return value
	 */
	public String getStdNameTest() {
		return stdNameTest;
	}

	/**
	 * 标准名称（试验标准）
	 * 
	 * @param stdNameTest
	 *            value
	 */
	public void setStdNameTest(String stdNameTest) {
		this.stdNameTest = stdNameTest;
	}
}
